package com.perf.log.sun;
import java.util.logging.*;
public class CustomFormatter extends Formatter{

	public String format(LogRecord logRec) {
		StringBuilder sb=new StringBuilder();
		sb.append(logRec.getSourceClassName())
			.append(".")
			.append(logRec.getSourceMethodName())
			.append(" : seq=")
			.append(logRec.getSequenceNumber())
			.append(" Date")
			.append(new java.util.Date(logRec.getMillis()).toString())
			.append(" MESSAGE:")
			.append(logRec.getMessage())
			.append("\n");
		return sb.toString();
	}  
}
